#
# spec file for package python3-six-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-six-doc
Version:        1.10.0
Release:        5.3.1
Url:            http://pypi.python.org/pypi/six/
Summary:        Documentation for python3-six
License:        MIT
Group:          Documentation/HTML
Source:         http://pypi.python.org/packages/source/s/six/six-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-six
# Documentation requirements:
BuildRequires:  python3-Sphinx
# Test requirements:
BuildRequires:  python3-py
BuildRequires:  python3-pytest
BuildArch:      noarch

%description
Six is a Python 2 and 3 compatibility library. It provides utility 
functions for smoothing over the differences between the Python 
versions with the goal of writing Python code that is compatible on 
both Python versions. See the documentation for more information on 
what is provided.

This package provides documentation for %{name}.

%prep
%setup -q -n six-%{version}

%build
# due to cyclic requirements between Sphinx and six,
# documentation is build in its own package <hpj@urpla.net>
cd documentation && make html && rm _build/html/.buildinfo

%install
# only build documentation

# Run tests here to avoid dependency loop
%check
mkdir test
cp test_six.py test
pushd test
py.test test_six.py
popd
rm -rf test

%files
%defattr(-,root,root)
%doc LICENSE
%doc documentation/_build/html

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 toddrme2178@gmail.com
- Run tests in -doc package to avoid dependency loops
  * python3-setuptools -> python3-six -> python3-py -> python3-setuptools
  * python3-setuptools -> python3-six -> python3-pytest -> python3-setuptools
- Actually run the tests.  They weren't previously being run.
* Thu Oct  8 2015 arun@gmx.de
- update to version 1.10.0:
  * Issue #122: Improve the performance of `six.int2byte` on Python 3.
  * Pull request #55 and issue #99: Don't add the `winreg` module to
    `six.moves` on non-Windows platforms.
  * Pull request #60 and issue #108: Add `six.moves.getcwd` and
    `six.moves.getcwdu`.
  * Pull request #64: Add `create_unbound_method` to create unbound
    methods.
* Wed Jul  8 2015 toddrme2178@gmail.com
- Split documentation into separate package to avoid build loop
